libzypp: zypp::debug::Measure::Impl Class Reference

libzypp 17.38.10

zypp::debug::Measure::Impl Class Reference

Measure implementation. More...

## Public Member Functions
| Impl (std::string &&ident_r, std::ostream *log_r=nullptr)
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
void | restart ()
void | elapsed (const std::string &tag_r=std::string()) const
std::ostream & | log () const
| Return the log stream.
std::ostream * | logp () const

## Private Member Functions
std::ostream & | dumpMeasure (std::ostream &str_r, const std::string &tag_r=std::string()) const

## Private Attributes
std::string | _ident
std::string | _level
Tm | _start
unsigned | _seq
Tm | _elapsed
Tm | _stop
std::ostream * | _log = nullptr

## Static Private Attributes
static std::string | _glevel

## Detailed Description

Measure implementation.

Definition at line 139 of file Measure.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::debug::Measure::Impl::Impl | ( | std::string && | ident_r,
|  | std::ostream * | log_r = nullptr )
| inline

Definition at line 142 of file Measure.cc.

## ◆ Impl() [2/3]

zypp::debug::Measure::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::debug::Measure::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::debug::Measure::Impl::~Impl | ( |  | ) |
| inline

Definition at line 158 of file Measure.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::debug::Measure::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::debug::Measure::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ restart()

void zypp::debug::Measure::Impl::restart | ( |  | ) |
| inline

Definition at line 167 of file Measure.cc.

## ◆ elapsed()

void zypp::debug::Measure::Impl::elapsed | ( | const std::string & | tag_r = std::string() | ) | const
| inline

Definition at line 173 of file Measure.cc.

## ◆ log()

std::ostream & zypp::debug::Measure::Impl::log | ( |  | ) | const
| inline

Return the log stream.

Definition at line 183 of file Measure.cc.

## ◆ logp()

std::ostream * zypp::debug::Measure::Impl::logp | ( |  | ) | const
| inline

Definition at line 185 of file Measure.cc.

## ◆ dumpMeasure()

std::ostream & zypp::debug::Measure::Impl::dumpMeasure | ( | std::ostream & | str_r,
|  | const std::string & | tag_r = std::string() ) const
| inlineprivate

Definition at line 189 of file Measure.cc.

## Member Data Documentation

## ◆ _glevel

std::string zypp::debug::Measure::Impl::_glevel
| staticprivate

Definition at line 202 of file Measure.cc.

## ◆ _ident

std::string zypp::debug::Measure::Impl::_ident
| private

Definition at line 204 of file Measure.cc.

## ◆ _level

std::string zypp::debug::Measure::Impl::_level
| private

Definition at line 205 of file Measure.cc.

## ◆ _start

Tm zypp::debug::Measure::Impl::_start
| private

Definition at line 206 of file Measure.cc.

## ◆ _seq

unsigned zypp::debug::Measure::Impl::_seq
| mutableprivate

Definition at line 207 of file Measure.cc.

## ◆ _elapsed

Tm zypp::debug::Measure::Impl::_elapsed
| mutableprivate

Definition at line 208 of file Measure.cc.

## ◆ _stop

Tm zypp::debug::Measure::Impl::_stop
| mutableprivate

Definition at line 209 of file Measure.cc.

## ◆ _log

std::ostream* zypp::debug::Measure::Impl::_log = nullptr
| private

Definition at line 211 of file Measure.cc.

The documentation for this class was generated from the following file:

- zypp/base/Measure.cc